Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class ClearFieldManager

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.FieldManager
            |
            +--com.solarmetric.kodo.runtime.ClearFieldManager

All Implemented Interfaces:
  PersistenceCapable.ObjectIdFieldConsumer, PersistenceCapable.ObjectIdFieldManager, PersistenceCapable.ObjectIdFieldSupplier

class ClearFieldManager
extends FieldManager

FieldManager that responds to all fetch methods with the default value for that field; used to clear the state of JDO instances.

Method Summary
`boolean` | `fetchBooleanField(int field)`
`byte` | `fetchByteField(int field)`
`char` | `fetchCharField(int field)`
`double` | `fetchDoubleField(int field)`
`float` | `fetchFloatField(int field)`
`int` | `fetchIntField(int field)`
`long` | `fetchLongField(int field)`
`Object` | `fetchObjectField(int field)`
`short` | `fetchShortField(int field)`
`String` | `fetchStringField(int field)`
`static ClearFieldManager` | `getInstance()`

Methods inherited from class com.solarmetric.kodo.runtime.FieldManager
`storeBooleanField, storeByteField, storeCharField, storeDoubleField, storeFloatField, storeIntField, storeLongField, storeObjectField, storeShortField, storeStringField`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ClearFieldManager getInstance()

### fetchBooleanField

    public boolean fetchBooleanField(int field)

  Overrides:
    `fetchBooleanField` in class `FieldManager`

### fetchByteField

    public byte fetchByteField(int field)

  Overrides:
    `fetchByteField` in class `FieldManager`

### fetchCharField

    public char fetchCharField(int field)

  Overrides:
    `fetchCharField` in class `FieldManager`

### fetchDoubleField

    public double fetchDoubleField(int field)

  Overrides:
    `fetchDoubleField` in class `FieldManager`

### fetchFloatField

    public float fetchFloatField(int field)

  Overrides:
    `fetchFloatField` in class `FieldManager`

### fetchIntField

    public int fetchIntField(int field)

  Overrides:
    `fetchIntField` in class `FieldManager`

### fetchLongField

    public long fetchLongField(int field)

  Overrides:
    `fetchLongField` in class `FieldManager`

### fetchObjectField

    public Object fetchObjectField(int field)

  Overrides:
    `fetchObjectField` in class `FieldManager`

### fetchShortField

    public short fetchShortField(int field)

  Overrides:
    `fetchShortField` in class `FieldManager`

### fetchStringField

    public String fetchStringField(int field)

  Overrides:
    `fetchStringField` in class `FieldManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.